diff -urN bb-1.3rc1/configure.in bb-1.3rc1.fixed/configure.in
--- bb-1.3rc1/configure.in	2001-04-26 17:04:22.000000000 +0200
+++ bb-1.3rc1.fixed/configure.in	2014-04-15 07:21:41.265410065 +0200
@@ -34,16 +34,17 @@
 LIBS="$LIBS $AALIB_LIBS"
 
 SOUNDFILES=""
-AM_PATH_LIBMIKMOD(3.0.0, 
-CFLAGS="$CFLAGS $LIBMIKMOD_CFLAGS"
-LIBS="$LIBS $LIBMIKMOD_LIBS"
-LDADD="$LDADD $LIBMIKMOD_LDADD"
+PKG_CHECK_MODULES([libmikmod], [libmikmod >= 3.0.0],
+CFLAGS="$CFLAGS $libmikmod_CFLAGS"
+LIBS="$LIBS $libmikmod_LIBS"
+LDADD="$LDADD $libmikmod_LDADD"
 AC_DEFINE(HAVE_LIBMIKMOD)
 SOUNDFILES="bb.s3m bb2.s3m bb3.s3m"
 dnl AC_DEFINE_UNQUOTED(SOUNDDIR,"$datadir/bb")
 ,
 AC_MSG_RESULT([Libmikmod is missing - sound support will be disabled])
 )
+AC_SUBST(LDADD)
 
 AC_SUBST(SOUNDFILES)
 AC_OUTPUT(Makefile)
diff -urN bb-1.3rc1/debian/changelog bb-1.3rc1.fixed/debian/changelog
--- bb-1.3rc1/debian/changelog	2014-04-16 07:30:02.000000000 +0200
+++ bb-1.3rc1.fixed/debian/changelog	2014-04-15 07:31:22.349842788 +0200
@@ -1,3 +1,15 @@
+bb (1.3rc1-8.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Build with libmikmod-dev, using pkg-config instead of
+    libmikmod-config.
+    + libmikmod now supports ALSA and other modern sound systems. Closes:
+      #617426.
+  * Use dh-autoreconf to update the autotools files.
+  * Drop the dependency on oss-compat, libmikmod no longer needs it.
+
+ -- Stephen Kitt <skitt@debian.org>  Tue, 15 Apr 2014 07:22:56 +0200
+
 bb (1.3rc1-8.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -urN bb-1.3rc1/debian/control bb-1.3rc1.fixed/debian/control
--- bb-1.3rc1/debian/control	2014-04-16 07:30:02.000000000 +0200
+++ bb-1.3rc1.fixed/debian/control	2014-04-15 07:29:49.711861945 +0200
@@ -2,13 +2,13 @@
 Section: games
 Priority: optional
 Maintainer: Uwe Hermann <uwe@debian.org>
-Build-Depends: debhelper (>> 4.0.0), libmikmod2-dev, libaa1-dev (>= 1.4p5-28)
+Build-Depends: debhelper (>> 4.0.0), libmikmod-dev, libaa1-dev (>= 1.4p5-28), pkg-config, dh-autoreconf
 Standards-Version: 3.7.2.2
 Homepage: http://aa-project.sourceforge.net/bb/
 
 Package: bb
 Architecture: any
-Depends: ${shlibs:Depends}, oss-compat
+Depends: ${shlibs:Depends}
 Description: ASCII-art demo based on AAlib
  This package contains a 'high quality audio-visual demonstration'
  of ASCII-art using AAlib, a portable ASCII-art graphics library.
diff -urN bb-1.3rc1/debian/rules bb-1.3rc1.fixed/debian/rules
--- bb-1.3rc1/debian/rules	2014-04-16 07:30:02.000000000 +0200
+++ bb-1.3rc1.fixed/debian/rules	2014-04-15 07:32:10.374869516 +0200
@@ -25,6 +25,7 @@
 
 config.status: configure
 	dh_testdir
+	dh_autoreconf
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --bindir=\$${prefix}/games --datadir=\$${prefix}/share
 
 	# Don't use -rpath...
@@ -43,12 +44,7 @@
 	dh_testroot
 	rm -f build-stamp 
 	-$(MAKE) distclean
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
+	dh_autoreconf_clean
 	dh_clean 
 
 install: build
